{
    "type": "project",
    "license": "proprietary",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": ">=8.1",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "doctrine/annotations": "^1.6",
        "doctrine/doctrine-bundle": "^2.0",
        "doctrine/doctrine-migrations-bundle": "^3.0",
        "doctrine/orm": "^2.7",
        "guzzlehttp/guzzle": "^7.9",
        "nelmio/api-doc-bundle": "^4.29",
        "phpdocumentor/reflection-docblock": "^5.0",
        "phpstan/phpdoc-parser": "^1.13",
        "symfony/asset": "5.*",
        "symfony/console": "5.*",
        "symfony/doctrine-messenger": "5.*",
        "symfony/dotenv": "5.*",
        "symfony/expression-language": "5.*",
        "symfony/flex": "^1.17",
        "symfony/form": "5.*",
        "symfony/framework-bundle": "5.*",
        "symfony/http-client": "5.*",
        "symfony/intl": "5.*",
        "symfony/mailer": "5.*",
        "symfony/mime": "5.*",
        "symfony/monolog-bundle": "^3.0",
        "symfony/notifier": "5.*",
        "symfony/process": "5.*",
        "symfony/property-access": "5.*",
        "symfony/property-info": "5.*",
        "symfony/runtime": "5.*",
        "symfony/security-bundle": "5.*",
        "symfony/serializer": "5.*",
        "symfony/string": "5.*",
        "symfony/translation": "5.*",
        "symfony/twig-bundle": "5.*",
        "symfony/validator": "5.*",
        "symfony/web-link": "5.*",
        "symfony/yaml": "5.*",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/twig": "^2.12|^3.0",
        "zircote/swagger-php": "^4.0"
    },
    "require-dev": {
        "phpunit/phpunit": "^8.5",
        "symfony/browser-kit": "5.*",
        "symfony/css-selector": "5.*",
        "symfony/debug-bundle": "5.*",
        "symfony/maker-bundle": "^1.0",
        "symfony/phpunit-bridge": "^5.0",
        "symfony/stopwatch": "5.*",
        "symfony/web-profiler-bundle": "5.*"
    },
    "config": {
        "platform": {
            "php": "8.2"
        },
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "symfony/flex": true,
            "symfony/runtime": true
        },
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "5.*"
        }
    }
}
